---
layout: docs
page_title: 'nomad quota status command reference'
description: >
  The `nomad quota status` command displays status information for a particular quota specification in Nomad Enterprise.
---

# `nomad quota status` command reference

The `quota status` command is used to view the status of a particular quota
specification.

<EnterpriseAlert product="nomad"/>

## Usage

```plaintext
nomad quota status [options] <quota_name>
```

If ACLs are enabled, this command requires a token with the `quota:read`
capability and access to any namespaces that the quota is applied to.

## General options

@include 'general_options.mdx'

## Inspect options

- `-json`: Output the quota specifications in a JSON format.

- `-t`: Format and display the quota using a Go template.

## Examples

View the status of a quota specification:

```shell-session
$ nomad quota status default-quota
Name        = default-quota
Description = Limit the shared default namespace
Limits      = 1

Quota Limits
Region  CPU Usage  Core Usage  Memory Usage  Memory Max Usage  Variables Usage
global  0 / 1000   0 / 1       0 / 1000      0 / inf           0 / inf
```

The `-json` flag can be used to get the quota status in json format:

```shell-session
$ nomad quota status -json default-quota
{
    "CreateIndex": 8,
    "Description": "Limit the shared default namespace",
    "Limits": [
        {
            "Hash": "p7s7A+4mFt+M41NS3nB3APheQS9YaePLguvnNn/c1t4=",
            "Region": "global",
            "RegionLimit": {
                "CPU": 1000,
                "Cores": 1,
                "Devices": null,
                "DiskMB": 0,
                "IOPS": 0,
                "MemoryMB": 1000,
                "MemoryMaxMB": 0,
                "NUMA": null,
                "Networks": null
            },
            "VariablesLimit": 0
        }
    ],
    "ModifyIndex": 56,
    "Name": "default-quota"
}
```

Or use the `-t` flag to format and display the quota status using a Go template:

```shell-session
$ nomad quota status -t {{ .Description }} default-quota
Limit the shared default namespace
```
